# ParadisEO-PEOMovingObjects: peoSynchronousMultiStart< EntityType > Class Template Reference

# peoSynchronousMultiStart< EntityType > Class Template Reference

Inheritance diagram for peoSynchronousMultiStart< EntityType >:

List of all members.

## Public Member Functions

template<typename AlgorithmType>
| peoSynchronousMultiStart (AlgorithmType &externalAlgorithm)
template<typename AlgorithmType, typename AggregationFunctionType>
| peoSynchronousMultiStart (std::vector< AlgorithmType * > &externalAlgorithms, AggregationFunctionType &externalAggregationFunction)
| ~peoSynchronousMultiStart ()
template<typename Type>
void | operator() (Type &externalData)
template<typename Type>
void | operator() (const Type &externalDataBegin, const Type &externalDataEnd)
void | packData ()
void | unpackData ()
void | execute ()
void | packResult ()
void | unpackResult ()
void | notifySendingData ()
void | notifySendingAllResourceRequests ()

## Private Attributes

AbstractAlgorithm * | singularAlgorithm
std::vector< AbstractAlgorithm * > | algorithms
AbstractAggregationAlgorithm * | aggregationFunction
EntityType | entityTypeInstance
std::vector< AbstractDataType * > | data
unsigned | idx
unsigned | num_term
unsigned | dataIndex
unsigned | functionIndex

## Classes

struct | AbstractAggregationAlgorithm
struct | AbstractAlgorithm
struct | AbstractDataType
struct | AggregationAlgorithm
struct | Algorithm
struct | DataType
struct | NoAggregationFunction

## Detailed Description

### template<typename EntityType>
class peoSynchronousMultiStart< EntityType >

Definition at line 45 of file peoSynchronousMultiStart.h.

The documentation for this class was generated from the following file:

- peoSynchronousMultiStart.h